#!/bin/bash -x

if [ "$#" -eq  0 ]
then
        echo "Syntax: websitename searchstring"
        echo "        If searchstring = *, entire cache from given website will be removed"
else
        declare -l lcname
        lcname="$1"
        lcsearch="$2"

        string_to_replace_with=''
        search1=':443'
        search2=':80'
        lcsearch="${lcsearch/$search1/$string_to_replace_with}"
        lcsearch="${lcsearch/$search2/$string_to_replace_with}"

        if [ $lcsearch == "*" ]
        then
                sudo rm -fr /var/cache/mod_proxy/$lcname/*
        else
                sudo echo "" > /tmp/searchresult.txt
                sudo /usr/sbin/htcacheclean -v -p /var/cache/mod_proxy/$lcname -A | grep -i "$lcsearch" >> /tmp/searchresult.txt #> /dev/null
                searchstring="\?"

                while read line; do
                        found="${line%$searchstring*}?"
                        sudo /usr/sbin/htcacheclean -v -p /var/cache/mod_proxy/$lcname "$found"
                done < /tmp/searchresult.txt
        fi

fi
